Subject: pkg/21649: editors/pico fails to compile on Darwin
To: None <>
From: None <>
List: netbsd-bugs
Date: 05/23/2003 00:53:54
>Number:         21649
>Category:       pkg
>Synopsis:       editors/pico fails to compile on Darwin
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Fri May 23 00:54:01 UTC 2003
>Originator:     Michael Wolfson
>Release:        N/A
Darwin gizmobook.exa 6.6 Darwin Kernel Version 6.6: Thu May  1 21:48:54 PDT 2003; root:xnu/xnu-344.34.obj~1/RELEASE_PPC  Power Macintosh powerpc
Seems to be some library problems on Darwin.

(cd .libs && rm -f && ln -s ../
/Volumes/netbsd/usr/src/pkgsrc/editors/pico/work/.buildlink/bin/libtool /Volumes
/netbsd/usr/src/pkgsrc/editors/pico/work/.buildlink/bin/gcc   -g -DDEBUG  -Dbsd 
-DJOB_CONTROL main.o  -o pico
/Volumes/netbsd/usr/src/pkgsrc/editors/pico/work/.buildlink/bin/gcc -g -DDEBUG -
Dbsd -DJOB_CONTROL main.o -o .libs/pico  -L./.libs -lpico
ld: Undefined symbols:
make: *** [pico] Error 1
*** Error code 2

Build editors/pico on MacOS X 10.2.6 (aka Darwin 6.6) using the 20030412 Darwin bootstrap kit.